<script src="node_modules/chart.js/src/chart.js"></script>

<h2> Graphique des dépences: </h2>

<div>
    <div style="display: block" width="500" height="300">
      <canvas baseChart
              [datasets]="barChartData"
              [labels]="barChartLabels"
              [options]="barChartOptions"
              [legend]="barChartLegend"
              [chartType]="barChartType"
              (chartHover)="chartHovered($event)"
              (chartClick)="chartClicked($event)"></canvas>
    </div>
    <button (click)="randomize()">Update</button>
  </div>

